Bug 905713 - F18 virtio doesn't support VMs that use virtio from F17
F18 virtio doesn't support VMs that use virtio from F17
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 20:58 EST by joshua
Modified: 2013-06-26 06:10 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 06:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (26.69 KB, text/plain)
2013-04-10 20:23 EDT, joshua
no flags Details
xml file (2.99 KB, text/plain)
2013-04-10 20:24 EDT, joshua
no flags Details

  None (edit)
Description joshua 2013-01-29 20:58:42 EST
Description of problem:

I have a Windows 7 KVM VM working nicely with virtio in F17 x86_64.  I installed the virtio windows storage drivers... works nicely.

I copy that exact same xml file in /etc/libvirt/qemu/ from my F17 partition to my F18 partition, and it Windows fails to boot.  Windows complains of not seeing its drive.  Here is the drive section in the XML definition:


  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='block' device='disk'>
      <driver name='qemu' type='raw'/>
      <source dev='/dev/VolGrpSlow0/vm_WinBloze7'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
    </disk>



Is there some virtio trick in F18 that I've missed to get it to work generally?



Version-Release number of selected component (if applicable):

$ uname -a
Linux hostname 3.7.2-204.fc18.x86_64 #1 SMP Wed Jan 16 16:22:52 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$ rpm -qa | egrep "virt|kvm|qemu" | sort
ipxe-roms-qemu-20120328-2.gitaac9718.fc18.noarch
libvirt-0.10.2.2-3.fc18.x86_64
libvirt-client-0.10.2.2-3.fc18.x86_64
libvirt-daemon-0.10.2.2-3.fc18.x86_64
libvirt-daemon-config-network-0.10.2.2-3.fc18.x86_64
libvirt-daemon-config-nwfilter-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-interface-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-lxc-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-network-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-nodedev-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-nwfilter-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-qemu-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-secret-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-storage-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-uml-0.10.2.2-3.fc18.x86_64
libvirt-daemon-driver-xen-0.10.2.2-3.fc18.x86_64
libvirt-daemon-kvm-0.10.2.2-3.fc18.x86_64
libvirt-gconfig-0.1.5-1.fc18.x86_64
libvirt-glib-0.1.5-1.fc18.x86_64
libvirt-gobject-0.1.5-1.fc18.x86_64
libvirt-python-0.10.2.2-3.fc18.x86_64
python-virtinst-0.600.3-2.fc18.noarch
qemu-common-1.2.2-2.fc18.x86_64
qemu-img-1.2.2-2.fc18.x86_64
qemu-kvm-1.2.2-2.fc18.x86_64
qemu-kvm-tools-1.2.2-2.fc18.x86_64
qemu-system-x86-1.2.2-2.fc18.x86_64
virt-dmesg-0.3.0-6.fc18.x86_64
virt-manager-0.9.4-4.fc18.noarch
virt-manager-common-0.9.4-4.fc18.noarch
virt-top-1.0.8-3.fc18.x86_64
virt-what-1.12-2.fc18.x86_64
virt-who-0.2-3.fc18.noarch
Comment 1 Warren Togami 2013-03-19 05:29:57 EDT
Very similar issue here.  Windows 7 32bit installed on Fedora 17 kvm.  Now Fedora 18 kvm boots the Windows 7 guest, but it is extremely slow.  It seems the virtio storage device is no longer available to the guest, and it falls back to a fake Intel IDE controller.
Comment 2 Warren Togami 2013-03-19 05:31:37 EDT
http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/bin/
virtio-win-0.1-52.iso seems to not contain compatible virtio storage drivers for whatever Fedora 18 kvm is making available within the guest.
Comment 3 Warren Togami 2013-03-19 15:32:12 EDT
Sorry!  False alarm.  The virtio-blk device actually does work.  I was seriously confused by a different bug where a new virtio win driver upgrade sometime in the last year began using 100% CPU on all cores.
Comment 4 Cole Robinson 2013-04-01 16:11:44 EDT
Joshua, can you still reproduce with latest F18 bits?
Can you provide the full XML file, and /var/log/libvirt/qemu/$vmname.log?
Comment 5 joshua 2013-04-10 20:21:14 EDT
Yes, I can still reproduce.  Please find files you requested attached.

Joshua
Comment 6 joshua 2013-04-10 20:23:15 EDT
Created attachment 733940 [details]
log
Comment 7 joshua 2013-04-10 20:24:22 EDT
Created attachment 733941 [details]
xml file
Comment 8 Paolo Bonzini 2013-06-20 08:05:39 EDT
What kernel version was this?
Comment 9 joshua 2013-06-20 17:10:20 EDT
Not sure of the F17 kernel version, sorry.  I no longer have access to this machine.
Comment 10 Paolo Bonzini 2013-06-26 06:10:13 EDT
Too bad. :(

Note You need to log in before you can comment on or make changes to this bug.